# Ogre::RTShader::ShaderProgramWriterGLSLFactory Class Reference
[RTShader]

GLSL program writer factory implementation. More...

`#include <OgreShaderGLSLProgramWriter.h>`

Inheritance diagram for Ogre::RTShader::ShaderProgramWriterGLSLFactory:
[legend]

List of all members.

## Public Member Functions

| ShaderProgramWriterGLSLFactory ()
virtual | ~ShaderProgramWriterGLSLFactory ()
virtual const String & | getTargetLanguage (void) const
virtual ProgramWriter * | create (void)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info
void * | operator new (size_t sz)
void * | operator new (size_t sz, void *ptr)
| placement operator new
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info
void * | operator new[] (size_t sz)
void | operator delete (void *ptr)
void | operator delete (void *ptr, void *)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)

## Private Attributes

String | mLanguage

## Detailed Description

GLSL program writer factory implementation.

See also:
  ProgramWriterFactory

Definition at line 110 of file OgreShaderGLSLProgramWriter.h.

## Constructor & Destructor Documentation

Ogre::RTShader::ShaderProgramWriterGLSLFactory::ShaderProgramWriterGLSLFactory | ( |  | ) |

Definition at line 113 of file OgreShaderGLSLProgramWriter.h.

virtual Ogre::RTShader::ShaderProgramWriterGLSLFactory::~ShaderProgramWriterGLSLFactory | ( |  | ) | `[virtual]`

Definition at line 117 of file OgreShaderGLSLProgramWriter.h.

## Member Function Documentation

virtual ProgramWriter* Ogre::RTShader::ShaderProgramWriterGLSLFactory::create | ( | void |  | ) | `[virtual]`

See also:
  ProgramWriterFactory::create

Implements Ogre::RTShader::ProgramWriterFactory.

Definition at line 130 of file OgreShaderGLSLProgramWriter.h.

References OGRE_NEW.

virtual const String& Ogre::RTShader::ShaderProgramWriterGLSLFactory::getTargetLanguage | ( | void |  | ) | const`[virtual]`

See also:
  ProgramWriterFactory::getTargetLanguage

Implements Ogre::RTShader::ProgramWriterFactory.

Definition at line 122 of file OgreShaderGLSLProgramWriter.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) | `[inherited]`

Definition at line 95 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |  |
| ) |  |  | `[inherited]`

Definition at line 101 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 107 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) | `[inherited]`

Definition at line 112 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |  |
| ) |  |  | `[inherited]`

Definition at line 118 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) | `[inherited]`

Definition at line 72 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr |
| ) |  |  | `[inherited]`

placement operator new

Definition at line 78 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

operator new, with debug line info

Definition at line 67 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func |
| ) |  |  | `[inherited]`

array operator new, with debug line info

Definition at line 85 of file OgreMemoryAllocatedObject.h.

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) | `[inherited]`

Definition at line 90 of file OgreMemoryAllocatedObject.h.

## Member Data Documentation

String Ogre::RTShader::ShaderProgramWriterGLSLFactory::mLanguage `[private]`

Definition at line 136 of file OgreShaderGLSLProgramWriter.h.

The documentation for this class was generated from the following file:

- OgreShaderGLSLProgramWriter.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Wed Nov 3 2010 19:25:05